%define name_orig	BitStormLite
%define	name	%(echo %{name_orig}|tr "A-Z" "a-z")

%define version 0.2p
%define release %mkrel 1

Summary:	A BitTorrent downloader GTK
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/File transfer
URL:		http://sourceforge.net/projects/bbom/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		http://prdownloads.sourceforge.net/bbom/%{name_orig}-%{version}.tar.gz
Patch0:		BitStormLite-0.2m-desktop-file.patch
BuildRequires:	curl-devel
BuildRequires:	gtk2-devel
BuildRequires:	intltool
BuildRequires:	gettext-devel

%description
BitStormLite is a BitTorrent program use GTK2. It's main features are :
* Downloads torrent files 
* Upload speed capping, seeing that most people can't upload infinite
  amounts of data.

%prep
%setup -q -n %{name_orig}-%{version}
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall

%{find_lang} %{name_orig}

install -m644 -D %{name}.desktop %buildroot%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%files -f %{name_orig}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Dec 02 2007 Funda Wang <fundawang@mandriva.org> 0.2p-1mdv2008.1
+ Revision: 114410
- update to new version 0.2p
- boost-devel is not required

* Fri Nov 23 2007 Funda Wang <fundawang@mandriva.org> 0.2n-1mdv2008.1
+ Revision: 111379
- update to new version 0.2n

* Tue Oct 09 2007 Funda Wang <fundawang@mandriva.org> 0.2m-1mdv2008.1
+ Revision: 95895
- New version 0.2m

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sun Jun 17 2007 Funda Wang <fundawang@mandriva.org> 0.2k-1mdv2008.0
+ Revision: 40483
- New version

* Sat Apr 21 2007 Funda Wang <fundawang@mandriva.org> 0.2i-1mdv2008.0
+ Revision: 16433
- new upstream version.

* Wed Apr 18 2007 Funda Wang <fundawang@mandriva.org> 0.2h-1mdv2008.0
+ Revision: 14330
- Real new tarball.
- it should be bz2 rathern than gz.
- new release 0.2h


* Mon Mar 19 2007 Adam Williamson <awilliamson@mandriva.com> 0.2g-2mdv2007.1
+ Revision: 146371
- update desktop cache in %%post

* Thu Mar 15 2007 Funda Wang <fundawang@mandriva.org> 0.2g-1mdv2007.1
+ Revision: 143951
- buildrequires gettext-devel
- gtkmm is not needed here.
- bzunzip2 the patch.
- First package for Mandriva.
- Created package structure for bitstormlite.

